KSMBD.ADDSHARE(8)

NAME
ksmbd.addshare - configure shares for ksmbd.conf of ksmbd.mountd

SYNOPSIS
ksmbd.addshare [-v] {-a SHARE | -u SHARE} [-o OPTIONS] [-c SMBCONF]
ksmbd.addshare [-v] {-d SHARE} [-c SMBCONF]
ksmbd.addshare {-V | -h}

DESCRIPTION
ksmbd.addshare configures shares for ksmbd.conf(5) configuration file of ksmbd.mountd(8) user mode daemon. ksmbd.addshare modifies ksmbd.conf such that its existing formatting is not retained. ksmbd.addshare notifies ksmbd.mountd of changes if it had made any.

OPTIONS

-a, --add-share=SHARE
    Add SHARE to configuration file. SHARE must be UTF-8 and [1, 64) bytes. SHARE is case-insensitive. SHARE cannot be global. Initial parameters must be given with --options.

-d, --del-share=SHARE
    Delete SHARE from configuration file.

-u, --update-share=SHARE
    Update SHARE in configuration file. Updated parameters must be given with --options.

-o, --options=OPTIONS
    Use OPTIONS as parameters. OPTIONS is one argument and follows format 1st par = 1st val<newline>2nd par = 2nd val.... Separators other than newline create ambiguity. Global parameters cannot be given.

-c, --config=SMBCONF
    Use SMBCONF as configuration file instead of @sysconfdir@/ksmbd/ksmbd.conf.

-v, --verbose
    Be verbose.

-V, --version
    Output version information and exit.

-h, --help
    Display this help and exit.

EXIT STATUS
The exit status is 0 on success and 1 on failure. Failure to notify ksmbd.mountd of changes has no effect on exit status.

COPYRIGHT
Copyright © 2015-2022 ksmbd-tools contributors. License GPLv2: GNU GPL version 2 <https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

REPORTING BUGS
For bug reports, use the issue tracker at https://github.com/cifsd-team/ksmbd-tools/issues.

SEE ALSO

Configuration File
    ksmbd.conf(5)

Utilities
    ksmbd.adduser(8), ksmbd.control(8), ksmbd.mountd(8)